欧易

欧易(OKX)

国内用户最喜爱的合约交易所

火币

火币(HTX )

全球知名的比特币交易所

币安

币安(Binance)

全球用户最多的交易所

PHPWeb开发框架Laravel安装指南

2022-10-20 22:23:23 6628

摘要:Git介绍之所以要说Git,就是因为Composre有时需要用到Git,还是安装上比较好,Composer暂且不表,先来了解一下Git吧(已经安装的童鞋跳过这里,直接看Composer介绍)。Git是一个快速、可扩展的分布式版本控制系统。好...

Git介绍

之所以要说Git,就是因为Composre有时需要用到Git,还是安装上比较好,Composer暂且不表,先来了解一下Git吧(已经安装的童鞋跳过这里,直接看Composer介绍)。

Git是一个快速、可扩展的分布式版本控制系统。好,介绍就到这里,详细的可以到Git官网去了解更多,我们主要讲一下它的安装。这里只以Ubuntu和Windowns为例,其他你们应该可以推理出来吧?

Ubuntu Git安装

打开终端输入以下命令

sudo apt-get install git-core

好了,现在我们的Git就装好了。

Windowns Git安装

下载Windowns下的Git安装包:官网下载页面或者点击下载安装文件,进行安装。 安装过程中其他不用管,只是到了下面这幅界面的时候,记得选择第二项,此项会将Git添加到Windows的环境变量,并且有专门的执行文件,可以解决因Git添加到环境变量而产生的冲突。总之一句话,选第二个就对了。

这样Windowns下的Git就安装好了。下面介绍Composer。

Composer介绍

很多童鞋很奇怪,为什么要讲Composer?

恩,因为我们这里介绍的是Laravel4,早在Laravel3的时候还是不用的Composer的。那么Composer是神马呢?简单的说Composer就是一个PHP的组件包的依赖管理器。早年间PHP其实是有自己的包管理器的,叫PEAR。PEAR就介绍到这里,你只要知道这是一个狗屎一般的管理器就行了。在Node的npm和Ruby的bundler都如火如荼的时候,连Python都有了好基友easy_iinstall和pip,PHP也坐不住了,几个非官方的小伙伴一咬牙一跺脚,于是就有了Composer。Composer已经得到越来越多的PHP框架支持,基本就是你的PHP框架如果不支持Composer,你都不好意思和同行打招呼。

Composer解决的问题是:

  1. 你有一个依赖N多库的项目。

  2. 这些库中一些又依赖于其他的库。

  3. 你声明你所依赖的库。

  4. Composer找出哪些包的哪个版本将会被安装,然后安装它们(也就是把它们下载到你的项目中)。

下面就是小白使用流程,更多关于Composer的内容,请到Composer官网

首先是安装,这里只介绍Ubuntu和Windows的安装,其他你们应该可以推理出来吧?

Ubuntu Composer安装

1、下载并执行Installer,要注意的是,如果沒有在php前面加上sudo的话,有可能出现错误信息。

sudo curl -sS https://getcomposer.org/installer | sudo php -d detect_unicode=Off

2、切换到全局安装文件夹

sudo mv composer.phar /usr/local/bin/composer

3、更改文件权限:上面的命令完成后,会下载好一个名为composer.phar的文件,而这个文件就是Composer的本体了,不过要更改一下它的权限。

sudo chmod a+x composer.phar

4、更新:完成上面的步骤后,Composer就装好了,过一段时间Composer自身升级版本,执行下面的命令就行(一般在你更新包的时候如果Composer有新版本,会提醒你需要升级)。

sudo composer self-update

Windowns Composer安装

1、下载Windowns下的Composer安装包:官网下载页面或者点击下载安装文件,进行安装。

2、然后,就没然后了,你已经装好了。Composer自身需要升级版本的时候你只需要在命令行(运行:cmd)输入

composer self-update

Composer装好后,我们就开始装Laravel吧!

Laravel安装

最低要求(注意PHP版本)

  1. PHP最低版本:5.3.7

  2. MCrypt PHP扩展

注意:请保证你的PHP已经打开openssl,如果不知道是否打开,请到php.ini中查看extension=php_openssl.dll,并将其前面的;去掉。也就是;extension=php_openssl.dll改成extension=php_openssl.dll

上面我们已经安装好了Composer,然后我们打开终端(Win开打cmd),进入到PHP环境目录,运行命令

composer create-project laravel/laravel your-project-name

面对这一串命令不要害怕,你只要修改your-project-name就行了,它代表你要安装Laravel的文件名。比如我有个项目叫onepiece,那么上面的命令就是

composer create-project laravel/laravel onepiece

运行这句代码后,Composer就开始下载需要的文件了,等运行结束,你会在你的PHP环境目录里看到onepiece这个文件夹,这就安装好了。

另一种安装方式

有的小盆友说了,大哥,我不是这么弄的,我从Laravel官方的github库里直接下载的master压缩包,肿么不能用啊?

是的,直接下载的master压缩包解压后只是Laravel的包装文件(暂且这样叫吧),是不能直接运行的,缺少核心文件,这时候我们需要先进入到这个文件夹里。比如我们的文件都拷贝到了luffy(这是我们自己手动创建的文件夹)这个文件夹里了,那么目录结构应该是这样的:

luffy      |-- app    |-- bootstrap    |-- public    |-- .gitattributes    |-- .gitignore    |-- artisan    |-- composer.json    |-- CONTRIBUTING.md    |-- phpunit.xml    |-- readme.md    |-- server.php

好,现在我们从终端(Windowns是cmd)进入到luffy这个文件夹,然后运行

composer install

然后你会看到画面卡顿了,这是正常的,一般会等待一会儿(要看你的联网速度了,是外网的速度),再然后就看到开始下载,很激动有木有?等吧,等啊……等啊……等到界面再次停到你的文件夹路径——在这个例子里就是luffy——下面,那就是安装好了。

懒人包

好吧,以上步骤你受到了各种阻力,不能翻墙有木有?虚拟主机不能终端有木有?各种没看懂有木有?

别急,这里给你提供了一个懒人包,是已经将核心文件通过composer下载好的压缩包,简单说就是下载后就可以直接用的包(鲜花,掌声,美女……什么?没有美女?T_T……)。

下载地址:

  • 完整包 Github 地址

  • 直接下载完整包zip

浏览

现在Laravel就安装好了,我们可以在浏览器输入

http://127.0.0.1/项目文件夹名/public

这里的项目文件夹名就是我们上面说的onepiece、luffy这种。看到如下画面就是安装成功了:


版权声明:本站所有文章皆是来自互联网,如内容侵权可以联系我们( 微信:bisheco )删除!
友情链接
币圈社群欧易官网